Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic.condition
Class IsGreaterThan

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.condition.Equals
            |
            +--net.sf.antcontrib.logic.condition.IsGreaterThan

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.condition.Condition

public class IsGreaterThan
extends org.apache.tools.ant.taskdefs.condition.Equals

Extends Equals condition to test if the first argument is greater than the second argument. Will deal with base 10 integer and decimal numbers, otherwise, treats arguments as Strings.

Developed for use with Antelope, migrated to ant-contrib Oct 2003.

Version:
  $Revision: 1.3 $
Author:
  Dale Anson, danson@germane-software.com

Constructor Summary
`IsGreaterThan()`

Method Summary
`boolean` | `eval()`
`void` | `setArg1(java.lang.String a1)`
`void` | `setArg2(java.lang.String a2)`
`void` | `setCasesensitive(boolean b)` Should the comparison be case sensitive?
`void` | `setTrim(boolean b)` Should we want to trim the arguments before comparing them?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsGreaterThan

    public IsGreaterThan()

Method Detail

### setArg1

    public void setArg1(java.lang.String a1)

  Overrides:
    `setArg1` in class `org.apache.tools.ant.taskdefs.condition.Equals`

### setArg2

    public void setArg2(java.lang.String a2)

  Overrides:
    `setArg2` in class `org.apache.tools.ant.taskdefs.condition.Equals`

### setTrim

    public void setTrim(boolean b)

  Should we want to trim the arguments before comparing them?

  Overrides:
    `setTrim` in class `org.apache.tools.ant.taskdefs.condition.Equals`
  Since:
    Revision: 1.3, Ant 1.5

### setCasesensitive

    public void setCasesensitive(boolean b)

  Should the comparison be case sensitive?

  Overrides:
    `setCasesensitive` in class `org.apache.tools.ant.taskdefs.condition.Equals`
  Since:
    Revision: 1.3, Ant 1.5

### eval

    public boolean eval()
                 throws org.apache.tools.ant.BuildException

  Specified by:
    `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`
  Overrides:
    `eval` in class `org.apache.tools.ant.taskdefs.condition.Equals`
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD